How can I fix node-gyp install error?

I have met this error when I try to migrate my service to a different server. At first, I tried to config Python environment with the command below.

sudo apt-get install git python2.7
npm config  set python python2.7

Then I tried to build it again and met another error. So I reinstall build-essential package in my Ubuntu server.

 sudo apt-get install build-essential

Leave a Reply